From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Config-MVP/
Date: Fri, 8 Feb 2013 10:36:30 +0000 (UTC) [thread overview]
Message-ID: <1360260918.73e22c7694332c4c075054d26627fda92f7999e8.kent@gentoo> (raw)
commit: 73e22c7694332c4c075054d26627fda92f7999e8
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Feb 7 18:15:18 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Feb 7 18:15:18 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=73e22c76
[newversion] Config-MVP-2.200.3
Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/Config-MVP/ChangeLog | 5 ++
dev-perl/Config-MVP/Config-MVP-2.200.3.ebuild | 74 +++++++++++++++++++++++++
2 files changed, 79 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Config-MVP/ChangeLog b/dev-perl/Config-MVP/ChangeLog
index a9ae294..abe2d61 100644
--- a/dev-perl/Config-MVP/ChangeLog
+++ b/dev-perl/Config-MVP/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Config-MVP-2.200.3 (07 Feb 2013)
+
+ 07 Feb 2013; Kent Fredric <kentfredric@gmail.com> +Config-MVP-2.200.3.ebuild:
+ Version Bump
+
*Config-MVP-2.200.0 (07 Feb 2013)
07 Feb 2013; Kent Fredric <kentfredric@gmail.com> -Config-MVP-2.200.ebuild,
diff --git a/dev-perl/Config-MVP/Config-MVP-2.200.3.ebuild b/dev-perl/Config-MVP/Config-MVP-2.200.3.ebuild
new file mode 100644
index 0000000..9408a08
--- /dev/null
+++ b/dev-perl/Config-MVP/Config-MVP-2.200.3.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=2.200003
+inherit perl-module
+
+DESCRIPTION='multivalue-property package-oriented configuration'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+ # Class::Load 0.17 ( 0.170.0 )
+ echo \>=dev-perl/Class-Load-0.170.0
+ # File::Spec
+ echo virtual/perl-File-Spec
+ # Module::Pluggable::Object
+ echo virtual/perl-Module-Pluggable
+ # Moose 0.91 ( 0.910.0 )
+ echo \>=dev-perl/Moose-0.910.0
+ # Moose::Role
+ echo dev-perl/Moose
+ # Moose::Util::TypeConstraints
+ echo dev-perl/Moose
+ # MooseX::OneArgNew
+ echo dev-perl/MooseX-OneArgNew
+ # Params::Util
+ echo dev-perl/Params-Util
+ # Role::HasMessage
+ echo dev-perl/Role-HasMessage
+ # Role::Identifiable::HasIdent
+ echo dev-perl/Role-Identifiable
+ # StackTrace::Auto
+ echo dev-perl/Throwable
+ # Test::More 0.88 ( 0.880.0 )
+ echo \>=virtual/perl-Test-Simple-0.88
+ # Throwable
+ echo dev-perl/Throwable
+ # Tie::IxHash
+ echo dev-perl/Tie-IxHash
+ # Try::Tiny
+ echo dev-perl/Try-Tiny
+ # overload
+ echo dev-lang/perl
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::More 0.96 ( 0.960.0 )
+ echo \>=virtual/perl-Test-Simple-0.96
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2013-02-08 10:36 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-02-08 10:36 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-06-13 15:21 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Config-MVP/ Kent Fredric
2013-10-11 4:52 Kent Fredric
2013-10-11 4:52 Kent Fredric
2013-02-08 10:36 Kent Fredric
2012-08-23 12:35 Kent Fredric
2012-03-27 9:30 Kent Fredric
2011-02-12 3:33 Kent Fredric
2011-02-09 7:22 Torsten Veller
2011-02-08 21:29 Torsten Veller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1360260918.73e22c7694332c4c075054d26627fda92f7999e8.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox